%define name spacefm
%define version 1.0.6
%define release %mkrel 1
%define url http://ignorantguru.github.com/spacefm/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3
Group:		Graphical desktop/LXDE
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Patch0:		disable-few-mimes.patch
Summary:	SpaceFM is a multi-panel tabbed file and desktop manager
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	desktop-file-utils
BuildRequires:	shared-mime-info
BuildRequires:	intltool
BuildRequires:  %{_lib}glib2.0_0-devel
BuildRequires:	%{_lib}gtk+3.0-devel
BuildRequires:	%{_lib}pango1.0-devel
BuildRequires:  %{_lib}udev0-devel
BuildRequires:	libpthread-stubs
BuildRequires:	%{_lib}ffmpegthumbnailer-devel
Obsoletes:	%name < %version

%description
SpaceFM is a multi-panel tabbed file and desktop manager for Linux with built-in VFS, 
udev- or HAL-based device manager, customizable menu system, and bash integration.

Now used as the default file manager in the Parted Magic live rescue OS and other 
distros, SpaceFM is gaining popularity among novice and power users alike for its 
stability, speed, convenience and flexibility. 

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYING-LGPL INSTALL README
%{_bindir}/%{name}
%{_bindir}/%{name}-auth
%{_bindir}/%{name}-installer
%{_datadir}/applications/%{name}-find.desktop
%{_datadir}/applications/%{name}-folder-handler.desktop
%{_datadir}/applications/%{name}.desktop
%{_docdir}/%{name}/%{name}-manual-en.html
%{_iconsdir}/Faenza
%{_iconsdir}/hicolor
%{_datadir}/mime
%{_datadir}/%{name}/ui/*
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf   

#___________________________________________________________________________

%package i10n
Summary:	Internationalization files for %{name}
Summary(de):	Internationale Sprachdateien für %{name}
Group:		Graphical desktop/LXDE
Requires:	%{name}
Obsoletes:	%{name}-i18n
Requires:	%{name} = %{version}-%{release}

%description i10n
%{summary}

%files i10n -f %{name}.files
%defattr(-,root,root,-)

#___________________________________________________________________________

%prep
%setup -q
%patch0 -p1

%build
# LDFLAGS="$LDFLAGS -l%{_libdir}/libffmpegthumbnailer"
%configure2_5x --with-gtk3

make -j2

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

%find_lang %{name}
	mv %{name}.lang %{name}.files
	
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="GTK" \
  --remove-category="Core" \
  --remove-category="System" \
  --remove-category="Utility" \
  --remove-category="FileManager" \
  --remove-category="FileTools" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --add-category="GTK;System;FileManager" \
  --remove-mime-type="x-directory/normal" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*	

%post
echo "If you are running spacefm as desktop manager. 
Log out and start a new session to use spacefm."

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%changelog
* Fri Aug 10 2018 tex - 1.0.6-1pclos2018
- new version

* Mon Nov 27 2017 Zen Subz <techars21 at gmail dot com> - 1.0.5.20161228-1pclos2017
- Spacefm Next+ version
- Gtk3 Build for PCLinuxOS
